---
title: Console.countReset()
slug: Web/API/Console/countReset
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Reference
  - Web Development
  - console
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>The <strong><code>console.countReset()</code></strong> method resets counter used with {{domxref("console.count()")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.countReset(<var>[label]</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>label</code> {{optional_inline}}</dt>
 <dd>A {{jsxref("String")}}. If supplied, <code>countReset()</code> resets the count for that label to 0. If omitted, <code>countReset()</code> resets the default counter to 0.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>For example, given code like this:</p>

<pre class="brush: js">let user = "";

function greet() {
  console.count();
  return "hi " + user;
}

user = "bob";
greet();
user = "alice";
greet();
greet();
console.count();
console.countReset();</pre>

<p>Console output will look something like this:</p>

<pre class="eval">"default: 1"
"default: 2"
"default: 3"
"default: 4"
"default: 0"
</pre>

<p>Note that the call to <code>console.counterReset()</code> resets the value of the default counter to zero.</p>

<p>If we pass the <code>user</code> variable as the <code>label</code> argument with the string "bob" to the first invocation of <code>count()</code>, and the string "alice" to the second:</p>

<pre class="brush: js">let user = "";

function greet() {
  console.count(user);
  return "hi " + user;
}

user = "bob";
greet();
user = "alice";
greet();
greet();
console.countReset("bob");
console.count("alice");</pre>

<p>We will see output like this:</p>

<pre class="eval">"bob: 1"
"alice: 1"
"alice: 2"
"bob: 0"
"alice: 3"</pre>

<p>Resetting the value of the counter "bob" only changes the value of that counter. The value of "alice" is unchanged.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Console API", "#count", "console.countReset()")}}</td>
   <td>{{Spec2("Console API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.countReset")}}</p>
